Bug 222015 - www/midori: unbreak build with vala 0.36
Summary: www/midori: unbreak build with vala 0.36
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-xfce mailing list
URL:
Keywords:
Depends on:
Blocks: 221941
  Show dependency treegraph
 
Reported: 2017-09-03 08:00 UTC by Carlos J. Puga Medina
Modified: 2017-09-27 12:20 UTC (History)
4 users (show)

See Also:
bugzilla: maintainer-feedback? (xfce)


Attachments
patch (10.71 KB, patch)
2017-09-03 08:00 UTC, Carlos J. Puga Medina
no flags Details | Diff
patch (11.04 KB, patch)
2017-09-05 14:36 UTC, Carlos J. Puga Medina
cpm: maintainer-approval? (xfce)
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Carlos J. Puga Medina freebsd_committer 2017-09-03 08:00:53 UTC
Created attachment 186017 [details]
patch

FAILED: midori/midori_valac.stamp 
cd /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori && /usr/local/bin/valac -C --header=midori-core.h --library=midori-core --vapi=midori-core.vapi -b /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori -d /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori --pkg=posix --pkg=linux --pkg=libxml-2.0 --pkg=sqlite3 --pkg=gmodule-2.0 --pkg=gio-2.0 --pkg=libsoup-2.4 --pkg=gtk+-2.0 --enable-deprecated --debug -D HAVE_EXECINFO_H -D HAVE_FREEBSD -D HAVE_LIBSOUP_2_40_0 -D HAVE_LIBSOUP_2_48_0 /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/../katze/katze-separatoraction.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/../katze/midori-hsts.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/../katze/midori-paths.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/../katze/midori-uri.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-bookmarksdatabase.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-completion.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-contextaction.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-database.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-dialog.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-download.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-extensions-column.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-historycompletion.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-historydatabase.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-notebook.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-panedaction.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-searchcompletion.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-settings.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-speeddial.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-tab.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-viewable.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-viewcompletion.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-window.vala /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/webkitgtk-3.0.vapi /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/katze/katze.vapi && touch /wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori_valac.stamp
/wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-notebook.vala:158.9-167.16: warning: the modifier `static' is not applicable to constants
/wrkdirs/usr/ports/www/midori/work/midori-0.5.11/midori/midori-notebook.vala:330.25-330.39: error: Access to non-public constructor `Midori.Tally.new' denied
            var tally = new Tally (tab);
                        ^^^^^^^^^^^^^^^
Compilation failed: 1 error(s), 1 warning(s)
ninja: build stopped: subcommand failed.
*** Error code 1

build log: http://package23.nyi.freebsd.org/data/110i386-default-PR221941/2017-08-31_07h56m24s/logs/midori-0.5.11.log
Comment 1 Olivier Duchateau 2017-09-03 17:17:10 UTC
Carlos, I don't understand your new patches about the 'ref' keyword. You pointed build log, but it doesn't show this error.

In Vala the 'ref' (and 'out') keyword before a variable has meaning. Can you say more?
Comment 2 Carlos J. Puga Medina freebsd_committer 2017-09-03 17:32:47 UTC
(In reply to Olivier Duchateau from comment #1)

Yes, other errors appear during compilation. That means there were more errors that didn't show up in the build log provided.


Midori is successfully compiled after applying all patch files.

http://sprunge.us/dFAF
Comment 3 Olivier Duchateau 2017-09-03 19:38:26 UTC
(In reply to Carlos J. Puga Medina from comment #2)

Ok
Comment 4 Carlos J. Puga Medina freebsd_committer 2017-09-05 14:36:34 UTC
Created attachment 186080 [details]
patch

Update patch to make it compatible with current vala 0.30 version.
Comment 5 commit-hook freebsd_committer 2017-09-27 12:19:52 UTC
A commit references this bug:

Author: madpilot
Date: Wed Sep 27 12:19:28 UTC 2017
New revision: 450734
URL: https://svnweb.freebsd.org/changeset/ports/450734

Log:
  - Fix build with upcoming vala 0.36 [1]

  While here:

  - Indentition fixes
  - Silence portlint warning about variables ordering
  - Convert to USES=localbase

  PR:		222015 [1]
  Submitted by:	cpm

Changes:
  head/www/midori/Makefile
  head/www/midori/files/patch-config__search
  head/www/midori/files/patch-extensions__external-download-manager.vala
  head/www/midori/files/patch-extensions_adblock_widgets.vala
  head/www/midori/files/patch-extensions_apps.vala
  head/www/midori/files/patch-extensions_history-list.vala
  head/www/midori/files/patch-extensions_notes.vala
  head/www/midori/files/patch-extensions_transfers.vala
  head/www/midori/files/patch-midori_midori-notebook.vala
Comment 6 Guido Falsi freebsd_committer 2017-09-27 12:20:09 UTC
Committed. Thanks!